Subject: bug#27511: 26.0.50; emacsclient requires file argument

From: [email-masked]
Date: Wed, 28 Jun 2017 21:13:53 -0400

James Nguyen <[email-masked]> writes:

> Those work for me but -c creates a new gui frame and -t opens in terminal.

Oh, all the responses I saw in the reddit thread you linked were using
-c or -t, so I thought that's what you wanted.

> Usually I have a gui client up already and $ emacsclient $FILE is the
> only choice that opens it in that current frame.

But it sounds like you're actually after something like

    emacsclient --eval '(select-frame-set-input-focus (car (frame-list)))'